<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKWizardIWithStateViewBase from './ibizbookwizard-iwith-state-view-base.vue';

import view_wizardpanel from '@widgets/ibizbook/state-field-guide-wizardpanel/state-field-guide-wizardpanel.vue';
@Component({
    components: {
        view_wizardpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKWizardIWithStateView extends IBIZBOOKWizardIWithStateViewBase {

}
</script>